<?php
declare(strict_types=1);

namespace Inti\Wp;

/**
 * Class ConfigProvider
 *
 * @package Inti\Wp
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'wp' => [
                'assets' => [
                    'manifest_path' => 'public/dist/manifest.json',
                    'dequeue' => [],
                ],

                'plugins' => [
                    Plugin\Assets::class,
                    Plugin\DefaultFilters::class,
                    Plugin\ResourceHints::class,
                ],
            ],

            'wp_plugins' => [
                'factories' => [
                    Plugin\Assets::class => Plugin\Factory\AssetsFactory::class,
                ],

                'invokables' => [
                    Plugin\DefaultFilters::class,
                    Plugin\ResourceHints::class,
                ],
            ],

            'dependencies' => [
                'factories' => [
                    'assets' => Container\AssetManifestFactory::class,
                ],
            ],
        ];
    }
}
